Skip to main content
GET
/
b2b
/
funds
/
deposits
/
addresses
List Deposit Addresses
curl --request GET \
  --url https://nexus.kraken.com/b2b/funds/deposits/addresses \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "addresses": [
      {
        "asset": "BTC",
        "method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "address": "<string>",
        "expire_time": "2023-11-07T05:31:56Z",
        "tag": "<string>",
        "memo": "<string>"
      }
    ],
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

user
string
required

IIBAN of the user to act on behalf of. Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42
asset
string
required

The asset to list deposit addresses for (e.g., BTC, ETH)

Required string length: 3 - 16
Example:

"BTC"

method_id
string<uuid>
required

The deposit method identifier (UUID from the list methods response)

cursor
string | null

Opaque pagination cursor from a previous response

Response

Response

result
object